using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace UserManagement.Domain.Migrations
{
    /// <inheritdoc />
    public partial class SMTP_Settings : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsEnableSSL",
                table: "EmailSMTPSettings");

            migrationBuilder.AddColumn<string>(
                name: "EncryptionType",
                table: "EmailSMTPSettings",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "FromEmail",
                table: "EmailSMTPSettings",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "FromName",
                table: "EmailSMTPSettings",
                type: "nvarchar(max)",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "EncryptionType",
                table: "EmailSMTPSettings");

            migrationBuilder.DropColumn(
                name: "FromEmail",
                table: "EmailSMTPSettings");

            migrationBuilder.DropColumn(
                name: "FromName",
                table: "EmailSMTPSettings");

            migrationBuilder.AddColumn<bool>(
                name: "IsEnableSSL",
                table: "EmailSMTPSettings",
                type: "bit",
                nullable: false,
                defaultValue: false);
        }
    }
}
